PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5

Source Location: /PHPExcel/Writer/Excel5.php

### Class Overview

PHPExcel_Writer_Excel5

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Writer_IWriter

### Methods

- __construct
- getPreCalculateFormulas
- save
- setPreCalculateFormulas
- setTempDir

### Class Details

[line 36]
PHPExcel_Writer_Excel5

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 113]

`PHPExcel_Writer_Excel5 __construct( PHPExcel $phpExcel)`

Create a new PHPExcel_Writer_Excel5

#### Tags:

access: | public

#### Parameters:

PHPExcel | $phpExcel | PHPExcel object

[ Top ]

### method getPreCalculateFormulas [line 256]

`boolean getPreCalculateFormulas( )`

Get Pre-Calculate Formulas

#### Tags:

access: | public

[ Top ]

### method save [line 125]

`void save( [string $pFilename = null])`

Save PHPExcel to file

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method setPreCalculateFormulas [line 265]

`void setPreCalculateFormulas( [boolean $pValue = true])`

Set Pre-Calculate Formulas

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Pre-Calculate Formulas?

[ Top ]

### method setTempDir [line 247]

`PHPExcel_Writer_Excel5 setTempDir( [string $pValue = ''])`

Set temporary storage directory

#### Tags:

deprecated: |
throws: | Exception Exception when directory does not exist
access: | public

#### Parameters:

string | $pValue | Temporary storage directory

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:13 +0200 by phpDocumentor 1.4.4